Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.javacode
Class RDFPropertyAtClassCode

    java.lang.Object
      edu.stanford.smi.protegex.owl.javacode.RDFPropertyAtClassCode

All Implemented Interfaces:
  Comparable

    public class RDFPropertyAtClassCode

extends Object
implements Comparable

An object representing metadata about a property at a class useful for Java code generation.

Author:
  Holger Knublauch

Constructor Summary
`RDFPropertyAtClassCode(RDFSNamedClass cls, RDFProperty property, boolean usePrefixInNames)`

Method Summary
`int` | `compareTo(Object o)`
`String` | `getJavaName()`
`String` | `getJavaType()`
`RDFProperty` | `getRDFProperty()`
`String` | `getUpperCaseJavaName()`
`boolean` | `isCustomType()`
`boolean` | `isMultiple()`
`boolean` | `isPrimitive()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RDFPropertyAtClassCode

    public RDFPropertyAtClassCode(RDFSNamedClass cls,
                                  RDFProperty property,
                                  boolean usePrefixInNames)

Method Detail

### compareTo

    public int compareTo(Object o)

  Specified by:
    `compareTo` in interface `Comparable`

### getJavaName

    public String getJavaName()

### getJavaType

    public String getJavaType()

### getRDFProperty

    public RDFProperty getRDFProperty()

### getUpperCaseJavaName

    public String getUpperCaseJavaName()

### isCustomType

    public boolean isCustomType()

### isMultiple

    public boolean isMultiple()

### isPrimitive

    public boolean isPrimitive()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.